Transport Status

Update transport status

post

Update the specified transport to the chosen status.

Authorizations
AuthenticationstringRequired

Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.

Example of authenticated request

$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
Body
sitestringRequired

Site uid

Example: 687cddac-dbd2-11ea-9024-0242ac130006
categorystring · enumRequired

Activity performed

Possible values:
transportstringRequired

Transport uid

Example: 4443d4b6-e165-11ea-a488-0242ac110007
created_devicestring · date-timeOptional

Date of creation on device (ISO 8601)

Example: 2020-12-22T15:31:39.26167Z
Responses
chevron-right
200Success
application/json
uidstring · uuidOptional

Dashdoc's internal id. It will be automatically generated by Dashdoc.

Example: 447521b0-e165-11ea-a488-0242ac110007
sequential_idnumberOptionalExample: 1240993
createdstring · date-timeOptional

Date of creation on the server. Useful when the transport is created by mobile devices. If network connection is bad, the created date can be later than created_device

updatedstring · date-timeOptional

last update time

deletedstring · nullableOptional
remote_idstringOptional

The ID of the transport in your system. It has to be unique among all your transports.

created_devicestring · date-timeOptional

If created from a mobile device, date of creation on the device.

creation_methodstring · enumOptionalPossible values:
is_orderbooleanOptional
archived_byobject[]Optional
invite_codestringOptionalExample: RWMUYE
statusstring · enumOptionalPossible values:
has_observationsbooleanOptional
requested_vehiclestring · max: 40Optional

Only useful when the transport is created by the shipper. Free text except punction and special characters.

carrier_referencestringOptional

Text that will help the carrier operators manage the transports, e.g. transport number in his TMS. It should only be set by the carrier of the transport and the transport's creator can toggle a company-wide setting to only allow the carrier to set it.

pricenumber · float · nullableOptionalDeprecated

Full price for the transport

Example: 250
requires_washingbooleanOptional

Flag to enable the truck washing flow in the mobile app

business_privacybooleanOptional

Flag to enable 'business privacy' mode: no eCMR will be generated, and the trucker won't be prompted to share the transport link.

is_multiple_compartmentsbooleanOptional

Flag to enable 'multiple compartments' mode: truckers will have to select in which compartments loads were loaded. It also generates a specific delivery document : loading_plan.

loading_planstringOptional

Uid of the loading plan created by the trucker. Contact us if you need to retrieve data from it

invoice_numberstring · nullableOptional
invoiced_pricenumber · float · nullableOptionalDeprecated

Invoiced price for the transport. Deprecated in favour of pricing field

Example: 250
volume_display_unitstring · enumOptionalPossible values:
billing-metricsstring · nullableOptionalDeprecated

Retired feature, will always be null.

shapestringOptional
instructionsstring · max: 1000Optional

Operating instructions. The carrier, the shipper and the creator of the transport have access to those instructions. However, the creator is the only who has the right to edit.

post
/transport-status/
200Success

Last updated

Was this helpful?